After sleep, key presses get lost and trackpad is jittery

Bug #717970 reported by Jay S on 2011-02-13
86
This bug affects 15 people
Affects Status Importance Assigned to Milestone
OEM Priority Project
High
James M. Leddy
Precise
Undecided
Unassigned
Quantal
High
James M. Leddy
linux (Ubuntu)
High
James M. Leddy
Oneiric
Undecided
James M. Leddy
Precise
Undecided
James M. Leddy
Quantal
High
James M. Leddy

Bug Description

I'm pretty sure this is what was being described in Bug #34501, which has been marked as resolved, so rather than commenting there I am creating a new report.

Maverick 64-bit on a Dell Vostro V13, using kernel from maverick-proposed, 2.6.35-26.46

After waking from sleep, key presses are intermittently lost/not recognized (there is no "lag" -- they just don't register at all), and mouse movement with the trackpad can be jittery.

These symptoms are accompanied by lines in the messages logfile like these:

kernel: [ 170.699732] psmouse.c: issuing reconnect request
kernel: [ 171.936688] psmouse.c: TouchPad at isa0060/serio1/input0 lost sync at byte 1
kernel: [ 171.938754] psmouse.c: TouchPad at isa0060/serio1/input0 lost sync at byte 1
kernel: [ 172.451421] psmouse.c: TouchPad at isa0060/serio1/input0 lost sync at byte 1
kernel: [ 172.453494] psmouse.c: TouchPad at isa0060/serio1/input0 lost sync at byte 1
kernel: [ 172.594781] psmouse.c: TouchPad at isa0060/serio1/input0 - driver resynched.
kernel: [ 175.599924] psmouse.c: TouchPad at isa0060/serio1/input0 lost sync at byte 1
kernel: [ 175.601998] psmouse.c: TouchPad at isa0060/serio1/input0 lost sync at byte 1
kernel: [ 176.115814] psmouse.c: TouchPad at isa0060/serio1/input0 lost sync at byte 1
kernel: [ 176.117882] psmouse.c: TouchPad at isa0060/serio1/input0 lost sync at byte 1
kernel: [ 176.636565] psmouse.c: TouchPad at isa0060/serio1/input0 lost sync at byte 1
kernel: [ 176.636570] psmouse.c: issuing reconnect request
kernel: [ 177.857516] psmouse.c: TouchPad at isa0060/serio1/input0 lost sync at byte 1

These symptoms only began once I installed the kernel from -proposed.

ProblemType: Bug
DistroRelease: Ubuntu 10.10
Package: linux-image-2.6.35-26-generic 2.6.35-26.46
Regression: Yes
Reproducible: Yes
ProcVersionSignature: Ubuntu 2.6.35-26.46-generic 2.6.35.10
Uname: Linux 2.6.35-26-generic x86_64
NonfreeKernelModules: wl
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.23.
AplayDevices:
 **** List of PLAYBACK Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: ALC269 Analog [ALC269 Analog]
   Subdevices: 0/1
   Subdevice #0: subdevice #0
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: ALC269 Analog [ALC269 Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: jay 1505 F.... pulseaudio
 /dev/snd/pcmC0D0p: jay 1505 F...m pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xfe700000 irq 48'
   Mixer name : 'Realtek ALC269'
   Components : 'HDA:10ec0269,1028042b,00100004'
   Controls : 12
   Simple ctrls : 7
Date: Sat Feb 12 21:22:08 2011
HibernationDevice: RESUME=UUID=3722808d-3d1f-4419-a7b4-e4714d123bc1
InstallationMedia: Ubuntu 10.04.1 LTS "Lucid Lynx" - Release amd64 (20100816.1)
MachineType: Dell Inc. Vostro V13
ProcCmdLine: BOOT_IMAGE=/vmlinuz-2.6.35-26-generic root=UUID=4ab6a858-a212-437a-b2fb-74a4e3295b24 ro quiet splash acpi_osi=Linux
ProcEnviron:
 LANG=en_US.utf8
 SHELL=/bin/bash
RelatedPackageVersions: linux-firmware 1.38.3
RfKill:
 1: hci0: Bluetooth
  Soft blocked: no
  Hard blocked: no
SourcePackage: linux
dmi.bios.date: 08/27/2010
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A05
dmi.board.asset.tag: 12345
dmi.board.name: 0R45H1
dmi.board.vendor: Dell Inc.
dmi.board.version: A05
dmi.chassis.type: 8
dmi.chassis.vendor: Dell Inc.
dmi.chassis.version: A05
dmi.modalias: dmi:bvnDellInc.:bvrA05:bd08/27/2010:svnDellInc.:pnVostroV13:pvrA05:rvnDellInc.:rn0R45H1:rvrA05:cvnDellInc.:ct8:cvrA05:
dmi.product.name: Vostro V13
dmi.product.version: A05
dmi.sys.vendor: Dell Inc.

Jay S (topdownjimmy) wrote :
Jay S (topdownjimmy) wrote :
Jay S (topdownjimmy) wrote :
Jay S (topdownjimmy) wrote :
description: updated
description: updated
Jay S (topdownjimmy) wrote :

The "rmmod" solution works for me, as described here: https://bugs.launchpad.net/ubuntu/+source/linux/+bug/34501/comments/47

The "i8042" solution does not work for me, as described here:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/34501/comments/12

Nor does the "apci_osi=Linux" solution work for me, as described here:
https://bugs.launchpad.net/linux/+bug/119194/comments/34

Andy Whitcroft (apw) wrote :

@topdownjimmy -- can you indicate the previous version in which the issue was not present?

Jay S (topdownjimmy) wrote :

2.6.32-27 is the latest kernel I have that doesn't have either of these problems. I don't have any more recent ones (between .32-27 and .35-25) because it's such a fresh install.

(And, actually, 2.6.35-25 had a problem that I never bothered to file a bug about. It too involved the keyboard after suspend, but the symptoms were much different.)

Jay S (topdownjimmy) wrote :

I should probably also note that the reason I updated to the -proposed kernel is that it solves another issue with my particular model of laptop, as reported in Bug #588194

The change is noted here: https://launchpad.net/ubuntu/+source/linux/2.6.35-26.46

Jay S (topdownjimmy) wrote :

(Sorry, that should have been Bug #380126)

Changed in linux (Ubuntu):
status: New → Triaged
Steve Conklin (sconklin) wrote :

The Maverick -proposed kernel was superseded by another one today. While I'm not aware of a fix in the new kernel specifically targeted at your problem, we have included a bunch of upstream kernel fixes. Could you please test against the latest -proposed kernel and let us know whether you still have the problem?

Thanks a lot,

Steve

Jay S (topdownjimmy) wrote :

Thanks Steve. Yes, the problem persists with the newest -proposed kernel (2.6.35.27.34)

Steve Conklin (sconklin) wrote :

Thanks Jay. I'll have a look through the changes and probably start bisecting the changes and asking for testing.

Changed in linux (Ubuntu):
status: Triaged → Confirmed
importance: Undecided → High
assignee: nobody → Steve Conklin (sconklin)
Steve Conklin (sconklin) wrote :

Since this was noticed on an upgrade, we don't really know that it ever worked in Maverick.
Could you please boot from the Maverick release ISO and see if the problem exists with that first release of Maverick?

The ISO image can be found here:
http://releases.ubuntu.com/10.10/

Jay S (topdownjimmy) wrote :

Well, it's difficult to tell, really. The kernel that comes with Maverick contains Bug #588194 (solved by the same patch that solved Bug #380126), which makes it rare that I can even resume from suspend.

But when I do, I see a similar message in the messages logfile:

psmouse.c: resync failed, issuing reconnect request
psmouse.c: Mouse at isa0060/serio2/input0 lost synchronizaiton, throwing 2 bytes away.

After a couple occurrences of those messages, it went into suspend again. After waking after *that* suspend, I no longer get those messages, but the mouse no longer works, although the keyboard does (without dropping any inputs).

I'll try Lucid and get back to you.

Jay S (topdownjimmy) wrote :

And with Lucid (10.04.1, kernel 2.6.32-24) I don't get this problem at all (although that other bug I mentioned still exists here). The mouse and keyboard work after suspend, and there are no similar messages about psmouse.c in the messages logfile.

Jay S (topdownjimmy) wrote :

Actually, come to think of it, the other two bugs I keep mentioning (#588194 and #380126) might not exist in the 2.6.32-24 kernel; they might have been introduced by a kernel update to Lucid. (I only keep bringing them up because it seems like they might be related to this issue).

Jay S (topdownjimmy) wrote :

For what it's worth, I just tried it in Natty Alpha 2 (kernel 2.6.38-1), and got the same symptoms and these similar messages (repeated ad infinitum):

psmouse.c: TouchPad at isa0060/serio1/input0 lost sync at byte 1
psmouse.c: issuing reconnect request
Synaptics Touchpad, model: 1, fw: 7.2, id: 0x1c0b1, caps: 0xd04733/0xa40000/0xa0000
input: SynPS/2 Synaptics TouchPad as /devices/platform/i8042/serio1/input/input14
psmouse.c: TouchPad at isa0060/serio1/input0 lost sync at byte 1

Steve Conklin (sconklin) on 2011-02-18
tags: removed: regression-proposed
tags: added: kernel-key
Jay S (topdownjimmy) wrote :

I'm still in Maverick, on the 2.6.35-29 kernel now, and the problem seems to have gone away. Haven't tested extensively, but several suspend/resume cycles have left the trackpad and keyboard working fine. Will leave another comment if I find otherwise.

Jay S (topdownjimmy) wrote :

Changelog for the 2.6.35-29.51 kernel is here:
https://launchpad.net/ubuntu/+source/linux/2.6.35-29.51

Jay S (topdownjimmy) wrote :

Yep, this problem seems to have disappeared. Marking as "Fix Released," I guess.

Changed in linux (Ubuntu):
status: Confirmed → Fix Released
Shaun Hey (shaunhey) wrote :

Jay, have you had any occurrences of the issue since? I am running 11.04 with 2.6.38-8, and I am still seeing the issue

I too am running a Vostro V13, and only experience the issue after waking from sleep. The rmmod psmouse/modprobe psmouse workaround does work for me...

Jay S (topdownjimmy) wrote :

Hm strange. Maybe it's not a kernel issue after all? Changing to "Confirmed."

Changed in linux (Ubuntu):
status: Fix Released → Confirmed
Eugen Anghel (eugen.anghel) wrote :

I can also confirm the "lost" keystrokes on 11.04 on Dell Vostro V13 after resume.

Rob Adams (rob-ebeep) wrote :

Ditto -- Vostro V13, losing keystrokes after resume, with "psmouse.c: TouchPad at isa0060/serio1/input0 lost sync at byte 1" messages in kern.log.

Another workaround is to press "Fn-F6" to disable the touchpad, and then "Fn-F6" again to re-enable the touchpad.

James Peacock (m42technic) wrote :

I can also confirm the same bug. 11.04 x64 and Vostro V13.

Steve Conklin (sconklin) on 2011-09-26
Changed in linux (Ubuntu):
assignee: Steve Conklin (sconklin) → nobody

I'm affected too but I found a workaround on my machine !

what I did:

pierre-olivier@oneiric-Vostro-V13:~$ sudo -i
[sudo] password for pierre-olivier:
root@oneiric-Vostro-V13:~# cd /etc/pm/sleep.d
root@oneiric-Vostro-V13:/etc/pm/sleep.d# ls
10_grub-common 10_unattended-upgrades-hibernate novatel_3g_suspend
root@oneiric-Vostro-V13:/etc/pm/sleep.d# nano clavier_bug

and create the file like this:

#!/bin/bash
case $1 in
    hibernate)
        modprobe -r psmouse
        ;;
    suspend)
        modprobe -r psmouse
        ;;
    thaw)
        modprobe psmouse
        ;;
    resume)
        modprobe psmouse
        ;;
    *) ;;
esac

Ctrl+O to save and choose the name you want ( clavier_bug means keyboard_bug in french ;) )

then :

root@oneiric-Vostro-V13:/etc/pm/sleep.d# chmod +x clavier_bug

in order to make the script executable.

and
root@oneiric-Vostro-V13:/etc/pm/sleep.d# ls -l
total 16
-rwxr-xr-x 1 root root 210 2011-10-01 14:40 10_grub-common
-rwxr-xr-x 1 root root 482 2011-02-03 20:49 10_unattended-upgrades-hibernate
-rwxr-xr-x 1 root root 242 2011-10-26 15:57 clavier_bug
-rwxr-xr-x 1 root root 1260 2011-07-09 04:21 novatel_3g_suspend

to verify.

then reboot.

Trying suspend to ram or disk or close/open the lid ... and no more keyboard issue here .

Rob Adams (rob-ebeep) wrote :

Confirming: The workaround in comment #26 (https://bugs.launchpad.net/ubuntu/+source/linux/+bug/717970/comments/26) resolved the problem for me.

theghost (theghost) wrote :

This bug still persists in Ubuntu 11.10 on a Lenovo L520 with 3.0.0-13-generic:

psmouse.c: TouchPad at isa0060/serio4/input0 lost sync at byte 1
[14861.417899] psmouse.c: TouchPad at isa0060/serio4/input0 lost sync at byte 1
[14861.419232] psmouse.c: TouchPad at isa0060/serio4/input0 lost sync at byte 1
[14861.420563] psmouse.c: TouchPad at isa0060/serio4/input0 lost sync at byte 1
[14861.424233] psmouse.c: TouchPad at isa0060/serio4/input0 lost sync at byte 1
[14861.424240] psmouse.c: issuing reconnect request
[17240.238861] psmouse.c: TouchPad at isa0060/serio4/input0 lost sync at byte 4
[17240.240191] psmouse.c: TouchPad at isa0060/serio4/input0 lost sync at byte 1
[17240.258248] psmouse.c: TouchPad at isa0060/serio4/input0 - driver resynched.
[17695.950963] psmouse.c: TouchPad at isa0060/serio4/input0 lost sync at byte 1
[17695.955414] psmouse.c: TouchPad at isa0060/serio4/input0 lost sync at byte 1
[17695.956743] psmouse.c: TouchPad at isa0060/serio4/input0 lost sync at byte 1
[17695.960402] psmouse.c: TouchPad at isa0060/serio4/input0 lost sync at byte 1
[17695.961736] psmouse.c: TouchPad at isa0060/serio4/input0 lost sync at byte 1
[17695.961740] psmouse.c: issuing reconnect request

Please fix this, it's really enerving.

give a try to workoaround in comment #26 . it fixed the problem in my 11.10 .

I''ve tested Precise with 3.2 Kernel for a few days on my V13 and the bug seems to be fixed ?

Joey Perry (zimmatic) wrote :

I'm affected by this bug, I'm also affected by this other one:
https://bugs.launchpad.net/ubuntu/+source/lightdm/+bug/8684001.
Running 11.10 on an HP Pavilion dm1 laptop with synaptics touchpad.

Both issues are resolved by disabling the option to "disable touchpad while typing", which makes me think that these 2 problems are inherently related. Perhaps when the 2 "syndameon" processes go out of sync, one of them starts eating up keystrokes thinking that the touch pad is in use?

Joey Perry (zimmatic) wrote :

Correction on a typo in my previous comment, the bug link is:
https://bugs.launchpad.net/ubuntu/+source/lightdm/+bug/868400

Eli Mitrani (eli-mit-g) wrote :

I am using Dell V13 with 11.10 and have the same bug. I managed to work around it by restarting the psmouse whenever i log in but i noticed the bug also appears when i disconnect/reconnect an external key board to the laptop, after which i have to run the restart psmouse script i created manually and enter the sudo password which takes a few tries because of misses...

any sugestions?

Le 15/03/2012 20:15, Eli Mitrani a écrit :
> any sugestions?
>
Give a try to 12.04 , bug's gone on my V13 :)

boydell (boydell) wrote :

It still happens to me in 12.04, 64bit, fresh new install. (only installed the AMD Catalyst drivers).

I just did the fix in #26, so far I am not seeing the errors, or experiencing any problems.

Just an FYI, I installed Fedora 16, and had the same issue.

Joseph Salisbury (jsalisbury) wrote :

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v3.4kernel[1] (Not a kernel in the daily directory). Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag(Only that one tag, please leave the other tags). This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text.

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream'.
Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.4-rc7-precise/

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
tags: removed: kernel-key
Shaun Hey (shaunhey) wrote :

Just tested this on a fresh install of 12.04, fully updated, plus the "3.4.0-030400rc6-generic-pae #201205061835" kernel, no issues after a dozen or so suspend/resume cycles.

tags: added: kernel-fixed-upstream
removed: needs-upstream-testing
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Ray Bond (rbond87) wrote :

I am using a Dell Vostro V13, like some others here. I am using Ubuntu 12.04 LTS, with kernel version 3.2.0-25 . This issue was persistent with this kernel version and previous versions. The workaround in comment 26 seems to have resolved the issue for me (thanks, Pierre).

Eric Miao (eric.y.miao) wrote :

Anyone please help test the kernel from:

  http://people.canonical.com/~ycmiao/lp717970/linux-image-3.2.0-25-generic_3.2.0-25.40_amd64.deb

Note please update to 35.40 before installing this one.

Eric Miao (eric.y.miao) wrote :

Let me summarize a bit those synaptics devices that have this issue, the model, firmware, id, caps info were extracted from relevant BootDmesg files that I could find on launchpad:

Dell V13: - Synaptics Touchpad, model: 1, fw: 7.2, id: 0x1c0b1, caps: 0xd04733/0xa40000/0xa0000
Lenovo L520: - Synaptics Touchpad, model: 1, fw: 7.2, id: 0x1c0b1, caps: 0xd047b3/0xb40000/0xa0000
Lenovo Edge 11 - Synaptics Touchpad, model: 1, fw: 7.4, id: 0x1e0b1, caps: 0xd047b3/0xb40000/0xa0000
HP Pavilion dm1 - synaptics: Touchpad model: 1, fw: 7.4, id: 0x1e0b1, caps: 0xd04773/0xe40000/0x5a0400

So far, this only seems to happen on synaptics touchpad with firmware version greater than 7.2.

Changed in oem-priority:
importance: Undecided → High
assignee: nobody → James M. Leddy (jm-leddy)
James M. Leddy (jm-leddy) wrote :

Hello, would someone please test the kernel from comment #40?

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
tags: added: rls-q-incomming
tags: added: rls-q-incoming
removed: rls-q-incomming
theghost (theghost) wrote :

As written in #896922 I could reproduce the issue without suspend / resume just by running, shutting down and booting on battery. It seems that there must be another issue within the synaptics driver on my Lenovo L520.

samuel perez (sperez) wrote :

it works for me as in #26
thanks a lot.

vostro v13
ubuntu 12.04
3.2.0-29-generic-pae

James M. Leddy (jm-leddy) wrote :

Hi Eric,

Based on comment #44, it looks like your patch fixes the problem. Would you please submit as an Ubuntu kernel SRU and submit upstream as well?

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
theghost (theghost) wrote :

So what's the status on this patch ? Is there a chance to see it into 12.04 Backports and the upstream kernels ?

James M. Leddy (jm-leddy) wrote :

Here is the patch in question:

Joseph Salisbury (jsalisbury) wrote :

@Eric Miao

Can you provide some information on the status of the patch with regards to getting it merged upstream? Has it been sent upstream, what sort of feedback has it received, is it getting applied to a subsystem maintainer's tree, etc?

People affected by this bug are probably wondering why the kernel team doesn't just apply the patch and fix it. The reason is that the kernel team is reluctant (not opposed) to apply any patch to a stable kernel that is not from upstream. Applying patches that don't come from upstream add greatly to the support of the kernel as other upstream patches may touch the same area as the non-upstream patch and may prevent them from applying cleanly.

tags: added: quantal
James M. Leddy (jm-leddy) wrote :

Hi Joe,

Unfortunatley eric no longer works for us, however, you can follow the upstream conversation at http://thread.gmane.org/gmane.linux.kernel.input/25599, or at the link in comment #48

tags: added: blocks-hwcert-enablement
Tim Gardner (timg-tpi) on 2012-10-05
Changed in linux (Ubuntu Oneiric):
status: New → Fix Committed
Changed in linux (Ubuntu Precise):
status: New → Fix Committed
Changed in linux (Ubuntu Quantal):
status: Confirmed → Fix Committed
Changed in linux (Ubuntu Oneiric):
assignee: nobody → James M. Leddy (jm-leddy)
Tim Gardner (timg-tpi) on 2012-10-05
Changed in linux (Ubuntu Precise):
assignee: nobody → James M. Leddy (jm-leddy)
Changed in linux (Ubuntu Quantal):
assignee: nobody → James M. Leddy (jm-leddy)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.5.0-17.28

---------------
linux (3.5.0-17.28) quantal-proposed; urgency=low

  [ Andy Whitcroft ]

  * [packaging] we already have a valid src_pkg_name
  * [packaging] allow us to select which builds have uefi signed versions

  [ James M Leddy ]

  * SAUCE: input: fix weird issue of synaptics psmouse sync lost after
    resume
    - LP: #717970

  [ Paolo Pisati ]

  * SAUCE: omap3 clocks .dev_id = NULL
    - LP: #1061599
  * [Config] omap: disable USB_[EHCI|OHCI]_HCD_PLATFORM
    - LP: #1061599
  * [Config] omap: enforce USB_[EHCI|OHCI]_HCD_PLATFORM=n
    - LP: #1061599

  [ Stefan Bader ]

  * SAUCE: net/ipv4: Always flush route cache on unregister batch call
    - LP: #1021471

  [ Upstream Kernel Changes ]

  * Bluetooth: Add USB_VENDOR_AND_INTERFACE_INFO() for Broadcom/Foxconn
    - LP: #1030233

  [ Wen-chien Jesse Sung ]

  * SAUCE: Bluetooth: Remove rules for matching Broadcom vendor specific
    IDs
    - LP: #1030233
 -- Leann Ogasawara <email address hidden> Tue, 09 Oct 2012 11:23:41 -0700

Changed in linux (Ubuntu Quantal):
status: Fix Committed → Fix Released
Tom Stam (tommystam) wrote :

Hi, I bought a new pathetic Vostro 1540 and my keyboard seems messed up, everytime I'm typing, at any random moment, it seems like the cursor can suddenly appear anywhere on the screen and is really time consuming to repair phrases and words all the time. In the box I am typing right now it seems to have no problem whatsoever. Is there a fix for this? Do I need to know code? I believe I have windows 7 Home or Office edition... Any help appreciated.

Luis Henriques (henrix) wrote :

This bug is awaiting verification that the kernel for Oneiric in -proposed solves the problem (3.0.0-27.44). Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-oneiric' to 'verification-done-oneiric'.

If verification is not done by one week from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-oneiric
Luis Henriques (henrix) wrote :

This bug is awaiting verification that the kernel for Precise in -proposed solves the problem (3.2.0-33.52). Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-precise' to 'verification-done-precise'.

If verification is not done by one week from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-precise
Luis Henriques (henrix) wrote :

James, are you able to verify this fix, both for Oneiric and Precise? Thanks.

tags: added: verification-done-precise
removed: verification-needed-precise
tags: added: verification-done-oneiric
removed: verification-needed-oneiric

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :
Download full text (12.1 KiB)

This bug was fixed in the package linux - 3.0.0-27.44

---------------
linux (3.0.0-27.44) oneiric-proposed; urgency=low

  [Luis Henriques]

  * Release Tracking Bug
    - LP: #1067266

  [ James M Leddy ]

  * SAUCE: input: fix weird issue of synaptics psmouse sync lost after
    resume
    - LP: #717970

  [ Upstream Kernel Changes ]

  * UBUNTU SAUCE: apparmor: fix IRQ stack overflow
    - LP: #1056078
  * net_sched: gact: Fix potential panic in tcf_gact().
    - LP: #1060430
  * isdnloop: fix and simplify isdnloop_init()
    - LP: #1060430
  * net/core: Fix potential memory leak in dev_set_alias()
    - LP: #1060430
  * af_packet: remove BUG statement in tpacket_destruct_skb
    - LP: #1060430
  * ipv6: addrconf: Avoid calling netdevice notifiers with RCU read-side
    lock
    - LP: #1060430
  * atm: fix info leak in getsockopt(SO_ATMPVC)
    - LP: #1060430
  * atm: fix info leak via getsockname()
    - LP: #1060430
  * Bluetooth: HCI - Fix info leak in getsockopt(HCI_FILTER)
    - LP: #1060430
  * Bluetooth: HCI - Fix info leak via getsockname()
    - LP: #1060430
  * Bluetooth: RFCOMM - Fix info leak in ioctl(RFCOMMGETDEVLIST)
    - LP: #1060430
  * Bluetooth: RFCOMM - Fix info leak via getsockname()
    - LP: #1060430
  * Bluetooth: L2CAP - Fix info leak via getsockname()
    - LP: #1060430
  * llc: fix info leak via getsockname()
    - LP: #1060430
  * dccp: fix info leak via getsockopt(DCCP_SOCKOPT_CCID_TX_INFO)
    - LP: #1060430
  * ipvs: fix info leak in getsockopt(IP_VS_SO_GET_TIMEOUT)
    - LP: #1060430
  * net: fix info leak in compat dev_ifconf()
    - LP: #1060430
  * netlink: fix possible spoofing from non-root processes
    - LP: #1060430
  * l2tp: avoid to use synchronize_rcu in tunnel free function
    - LP: #1060430
  * net: ipv4: ipmr_expire_timer causes crash when removing net namespace
    - LP: #1060430
  * workqueue: reimplement work_on_cpu() using system_wq
    - LP: #1060430
  * cpufreq/powernow-k8: workqueue user shouldn't migrate the kworker to
    another CPU
    - LP: #1060430
  * cciss: fix handling of protocol error
    - LP: #1060430
  * vfs: make O_PATH file descriptors usable for 'fstat()'
    - LP: #1060430
  * vfs: dcache: use DCACHE_DENTRY_KILLED instead of DCACHE_DISCONNECTED in
    d_kill()
    - LP: #1060430
  * netconsole: remove a redundant netconsole_target_put()
    - LP: #1060430
  * target: Fix ->data_length re-assignment bug with SCSI overflow
    - LP: #1060430
  * ALSA: ice1724: Use linear scale for AK4396 volume control.
    - LP: #1060430
  * Staging: speakup: fix an improperly-declared variable.
    - LP: #1060430
  * staging: vt6656: [BUG] - Failed connection, incorrect endian.
    - LP: #1060430
  * staging: r8712u: fix bug in r8712_recv_indicatepkt()
    - LP: #1060430
  * staging: comedi: das08: Correct AO output for das08jr-16-ao
    - LP: #1060430
  * USB: option: replace ZTE K5006-Z entry with vendor class rule
    - LP: #1060430
  * perf_event: Switch to internal refcount, fix race with close()
    - LP: #1060430
  * mmc: mxs-mmc: fix deadlock in SDIO IRQ case
    - LP: #1060430
  * mmc: sdhci-esdhc: break out early if clock is 0
    - LP: #1060430
  * ahci: Add alternate ident...

Changed in linux (Ubuntu Oneiric):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (9.1 KiB)

This bug was fixed in the package linux - 3.2.0-33.52

---------------
linux (3.2.0-33.52) precise-proposed; urgency=low

  [Luis Henriques]

  * Release Tracking Bug
    - LP: #1067666

  [ Andy Whitcroft ]

  * [Config] add fs/udf to linux-image to support DVD/CD formats in virtual
    instances
    - LP: #1066921

  [ James M Leddy ]

  * SAUCE: input: fix weird issue of synaptics psmouse sync lost after
    resume
    - LP: #717970

  [ Paolo Pisati ]

  * [SRU] [Config] enable TIDSPBRIDGE for omap arm[el|hf] flavours
    - LP: #1058022

  [ Sarveshwar Bandi ]

  * SAUCE: bridge: Pull ip header into skb->data before looking into ip
    header.
    - LP: #1065150

  [ Upstream Kernel Changes ]

  * Revert "drm/radeon: rework pll selection (v3)"
    - LP: #1065047
  * sched: Fix migration thread runtime bogosity
    - LP: #1057593
  * Bluetooth: Add support for Sony Vaio T-Series
    - LP: #1054307
  * drm/radeon: properly handle mc_stop/mc_resume on evergreen+ (v2)
    - LP: #1058303
  * Bluetooth: Use USB_VENDOR_AND_INTERFACE() for Broadcom devices
    - LP: #1058303
  * Bluetooth: Add USB_VENDOR_AND_INTERFACE_INFO() for Broadcom/Foxconn
    - LP: #1030233, #1058303
  * target: Fix ->data_length re-assignment bug with SCSI overflow
    - LP: #1065047
  * ASoC: samsung dma - Don't indicate support for pause/resume.
    - LP: #1065047
  * fs/proc: fix potential unregister_sysctl_table hang
    - LP: #1065047
  * mm/ia64: fix a memory block size bug
    - LP: #1065047
  * nbd: clear waiting_queue on shutdown
    - LP: #1065047
  * drivers/rtc/rtc-twl.c: ensure all interrupts are disabled during probe
    - LP: #1065047
  * mm/page_alloc: fix the page address of higher page's buddy calculation
    - LP: #1065047
  * memory hotplug: fix section info double registration bug
    - LP: #1065047
  * cciss: fix handling of protocol error
    - LP: #1065047
  * vfs: dcache: use DCACHE_DENTRY_KILLED instead of DCACHE_DISCONNECTED in
    d_kill()
    - LP: #1065047
  * workqueue: reimplement work_on_cpu() using system_wq
    - LP: #1065047
  * cpufreq/powernow-k8: workqueue user shouldn't migrate the kworker to
    another CPU
    - LP: #1065047
  * sched: Fix ancient race in do_exit()
    - LP: #1065047
  * hpwdt: Fix kdump issue in hpwdt
    - LP: #1065047
  * rtlwifi: rtl8192ce: Log message that B_CUT device may not work
    - LP: #1065047
  * brcmfmac: fix big endian bug in i-scan.
    - LP: #1065047
  * brcmfmac: Fix big endian host configuration data.
    - LP: #1065047
  * dmaengine: at_hdmac: fix comment in atc_prep_slave_sg()
    - LP: #1065047
  * dmaengine: at_hdmac: check that each sg data length is non-null
    - LP: #1065047
  * ARM: 7532/1: decompressor: reset SCTLR.TRE for VMSA ARMv7 cores
    - LP: #1065047
  * drm/i915: Reduce a pin-leak BUG into a WARN
    - LP: #1065047
  * bnx2i: Fixed NULL ptr deference for 1G bnx2 Linux iSCSI offload
    - LP: #1065047
  * mpt2sas: Fix for issue - Unable to boot from the drive connected to HBA
    - LP: #1065047
  * hwmon: (ads7871) Add 'name' sysfs attribute
    - LP: #1065047
  * DMA: PL330: Check the pointer returned by kzalloc
    - LP: #1065047
  * hpsa: fix handling of protocol error
    -...

Read more...

Changed in linux (Ubuntu Precise):
status: Fix Committed → Fix Released
theghost (theghost) wrote :

As written in my original bug report 896922. I still suffer from lost sync issues with my touchpad in Quantal using 3.5.0-23-generic.
Also this issue appears after fresh boot and not resuming.

It is really easy to reproduce. Steps to reproduce:

1. Start typing text in a program like firefox.
2. Try to use your touchpad immediatly after typing.

It occurs often that the touchpad is not usable in step 2 because it lost sync.
We can still go on in my new bug 896922 if you would like and keep this fixed but please don't mark it duplicate again. I removed it as duplicate.

Heres my dmesg log. If you need further info please contact me.

[ 27.145500] psmouse serio4: synaptics: Touchpad model: 1, fw: 7.2, id: 0x1c0b1, caps: 0xd047b3/0xb40000/0xa0000
[ 27.145517] psmouse serio4: synaptics: serio: Synaptics pass-through port at isa0060/serio4/input0
[ 35.400578] psmouse serio5: trackpoint: IBM TrackPoint firmware: 0x0e, buttons: 3/3
[ 148.433264] psmouse serio4: TouchPad at isa0060/serio4/input0 lost sync at byte 1
[ 148.438244] psmouse serio4: TouchPad at isa0060/serio4/input0 lost sync at byte 1
[ 148.442802] psmouse serio4: TouchPad at isa0060/serio4/input0 lost sync at byte 1
[ 148.444135] psmouse serio4: TouchPad at isa0060/serio4/input0 lost sync at byte 1
[ 148.457697] psmouse serio4: TouchPad at isa0060/serio4/input0 lost sync at byte 1
[ 148.457707] psmouse serio4: issuing reconnect request
[ 195.273729] psmouse serio4: TouchPad at isa0060/serio4/input0 lost sync at byte 1
[ 195.278710] psmouse serio4: TouchPad at isa0060/serio4/input0 lost sync at byte 1
[ 195.283225] psmouse serio4: TouchPad at isa0060/serio4/input0 lost sync at byte 1
[ 195.284554] psmouse serio4: TouchPad at isa0060/serio4/input0 lost sync at byte 1
[ 195.290365] psmouse serio4: TouchPad at isa0060/serio4/input0 lost sync at byte 1
[ 195.290372] psmouse serio4: issuing reconnect request
[ 705.102333] psmouse serio4: TouchPad at isa0060/serio4/input0 lost sync at byte 4
[ 705.103636] psmouse serio4: TouchPad at isa0060/serio4/input0 lost sync at byte 1
[ 705.127931] psmouse serio4: TouchPad at isa0060/serio4/input0 - driver resynced.

James M. Leddy (jm-leddy) wrote :

Google has an alternate fix that they would like us to try. Anyone that has these trackpads please let me know if this fixes it:

https://patchwork.kernel.org/patch/2156601/

theghost (theghost) wrote :

@jm-leddy: I tested the patch by patching and rebuilding [1] the actual Raring kernel (3.8.0.-25.37). To my mind, no improvement compared to the non-patchted kernel, which means if the touchpad lost sync and stops working it takes a long time to reconnect. Of course I also get the output [2].

Imho, best experience is using Kernel 3.10rc7 mainline, which I am testing currently. There, I can still reproduce (heavy typing during using the touchpad) the lost syncs with non-working touchpad but the time to reconnect is quite low. Maybe it's due to Ubuntu's patch [3] which got finally mainlined in 3.10 [4], maybe it's something different. I will use and test 3.10 in the next few days, maybe the time window to reconnect is small enough that the user does not recognize it. But as I said the output and non-working can still be triggered with my touchpad [5].

[1] https://wiki.ubuntu.com/Kernel/BuildYourOwnKernel

[2] psmouse serio4: issuing reconnect request
 psmouse serio4: TouchPad at isa0060/serio4/input0 lost sync at byte 1
 psmouse serio4: TouchPad at isa0060/serio4/input0 lost sync at byte 1
psmouse serio4: TouchPad at isa0060/serio4/input0 lost sync at byte 1
 psmouse serio4: TouchPad at isa0060/serio4/input0 lost sync at byte 4
psmouse serio4: TouchPad at isa0060/serio4/input0 lost sync at byte 1
 psmouse serio4: issuing reconnect request

[3] http://thread.gmane.org/gmane.linux.kernel.input/25599

[4] https://bugzilla.kernel.org/process_bug.cgi

[5] psmouse serio4: synaptics: Touchpad model: 1, fw: 7.2, id: 0x1c0b1, caps: 0xd047b3/0xb40000/0xa0000, board id: 71, fw id: 578367

Changed in linux:
importance: Unknown → Medium
status: Unknown → Confirmed
James M. Leddy (jm-leddy) wrote :

Hi Mathias,

That's probably a different issue. This issue was specific to certain HP and Dell models.

theghost (theghost) on 2013-06-26
no longer affects: linux
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.